%define major		2
%define	prefix		/usr/X11R6
%define Extras		extra-0.1
%define	wmcalclock	wmCalClock-1.25
%define	wmmail		WMMail.app-0.64

Summary:	A window manager for the X Window System
Name:		WindowMaker
Version:	0.65.1
Release:	4mdk
Packager:	David BAUDENS <baudens@mandrakesoft.com>
License:	GPL
Group:		Graphical desktop/WindowMaker
URL:		http://www.windowmaker.org/ 

Source0:	WindowMaker-%{version}.tar.bz2
Source1:	WindowMaker-data.tar.bz2
Source2:	WindowMaker-%{wmcalclock}.tar.bz2
Source3:	WindowMaker-%{Extras}.tar.bz2
Source4:	WindowMaker-menumethod
Source5:	WindowMaker-icons.tar.bz2
Source6:	WindowMaker-WindowMaker
Source7:	WindowMaker-WMWindowAttributes
Source8:	WindowMaker-startwindowmaker
Source9:	WindowMaker-WMState-with-WMMail
Source10:	WindowMaker-Terminal
Source11:	WindowMaker-WMMail.app-0.64.tar.bz2
Source12:	WindowMaker-WMMail-default-config
Source13:	WindowMaker-wmaker.inst
Source14:	WindowMaker-Default.CJK.style
Source15:	WindowMaker-WMState-without-WMMail

Patch0:		WindowMaker-wmaker.inst-mdk.patch.bz2

AutoReqProv:	no

Requires:	/lib/cpp, mandrake_desk >= 7.2-1mdk, aterm, libwraster%major = %version
Requires:       libPropList XFree86-libs xpm libjpeg libpng libtiff libungif zlib
Obsoletes:	windowmaker windowmaker-libs
Obsoletes:	WindowMaker-kde WindowMaker-gnome WindowMaker-common
BuildRoot:	%_tmppath/%name-%version-root
BuildRequires:	libPropList-devel XFree86-devel xpm-devel libjpeg-devel
BuildRequires:	libpng-devel libtiff-devel libungif-devel zlib-devel
Provides:	windowmaker windowmaker-libs
Provides:	WindowMaker-kde WindowMaker-gnome WindowMaker-common

%description
Window Maker is an X11 window manager which emulates the look and feel of the
NeXTSTEP (TM) graphical user interface. It is relatively fast, feature rich and
easy to configure and use. Window Maker is part of the official GNU project,
which means that Window Maker can interoperate with other GNU projects, such as
GNOME.

Window Maker allows users to switch themes 'on the fly,' to place favorite
applications on either an application dock, similar to AfterStep's Wharf or on
a workspace dock, a 'clip' which extends the application dock's usefulness.

%package -n libwraster%major
Summary:	Libraries needed by WindowMaker
Group:		Graphical desktop/WindowMaker
Requires:	libPropList >= 0.10.1
Obsoletes:	wmakerconf <= 2.6.2-4mdk
Conflicts:	WindowMaker < 0.62.1-20mdk, WindowMaker-devel < 0.62.1-20mdk

%description -n libwraster%major
Window Maker is an X11 window manager which emulates the look and feel of the
NeXTSTEP (TM) graphical user interface. It is relatively fast, feature rich and
easy to configure and use. Window Maker is part of the official GNU project,
which means that Window Maker can interoperate with other GNU projects, such as
GNOME.

Window Maker allows users to switch themes 'on the fly,' to place favorite
applications on either an application dock, similar to AfterStep's Wharf or on
a workspace dock, a 'clip' which extends the application dock's usefulness.

This package contains libraries needed if you wish use WindowMaker.

%package -n libwraster%major-devel
Summary:	Static libraries and header files
Group:		Development/C
Requires:	libwraster%major = %version-%release
Provides:	libwraster-devel

%description -n libwraster%major-devel
Window Maker is an X11 window manager which emulates the look and feel of the
NeXTSTEP (TM) graphical user interface. It is relatively fast, feature rich and
easy to configure and use. Window Maker is part of the official GNU project,
which means that Window Maker can interoperate with other GNU projects, such as
GNOME.

Window Maker allows users to switch themes 'on the fly,' to place favorite
applications on either an application dock, similar to AfterStep's Wharf or on
a workspace dock, a 'clip' which extends the application dock's usefulness.

This package contains static libraries needed for development.

%package devel
Summary:        Static libraries and header files
Group:          Development/C
Requires:       libwraster%major-devel = %version-%release
Obsoletes:	windowmaker-devel
Provides:	windowmaker-devel

%description devel
Window Maker is an X11 window manager which emulates the look and feel of the
NeXTSTEP (TM) graphical user interface. It is relatively fast, feature rich and
easy to configure and use. Window Maker is part of the official GNU project,
which means that Window Maker can interoperate with other GNU projects, such as
GNOME.

Window Maker allows users to switch themes 'on the fly,' to place favorite
xapplications on either an application dock, similar to AfterStep's Wharf or on
a workspace dock, a 'clip' which extends the application dock's usefulness.

This package contains headers needed for development.


%prep

%setup -q -a 1 -a 2 -a 3 -a 11
%patch0 -p1

%build
CFLAGS="%optflags"
NLSDIR=%{prefix}/share/locale
LINGUAS="bg cs da de el es et fi fr gl hr hu it ja ko nl no pl pt ro ru sk sv tr zh_CN zh_TW.Big5"
GNUSTEP_LOCAL_ROOT='%{prefix}/lib/GNUstep'
CPP_PATH=/lib/cpp
export CFLAGS CPP_PATH NLSDIR LINGUAS GNUSTEP_LOCAL_ROOT
./configure --prefix=%prefix \
	    --sysconfdir=/etc/X11 \
	    --enable-newstyle \
	    --enable-sound  \
	    --enable-superfluous \
	    --with-pixmapdir=%_datadirpixmaps \
	    --enable-gnome \
	    --enable-kde \
	    --enable-shm \
	    --enable-usermenu

# Dadou - 0.65.1 - make macro breaks buil
make

# wmCalClock (default clock)
cd $RPM_BUILD_DIR/%{name}-%{version}/wmCalClock-1.25/Src

%make CFLAGS="%optflags"

# WMMail (default mail notifier)
cd $RPM_BUILD_DIR/%{name}-%{version}/WMMail.app-0.64
CFLAGS="%optflags" ./configure --prefix=%{prefix}
%make


%install
make install DESTDIR=$RPM_BUILD_ROOT

install -d 644 $RPM_BUILD_ROOT%_datadir/pixmaps
install -m 644 WindowMaker-data/pixmaps/* $RPM_BUILD_ROOT%_datadir/pixmaps

# Install wmCalClock (default clcok)
cd $RPM_BUILD_DIR/%{name}-%{version}/wmCalClock-1.25/Src
perl -p -i -e "s|^DESTDIR=.*|DESTDIR= $RPM_BUILD_ROOT%{prefix}|" Makefile
make install prefix=$RPM_BUILD_ROOT
cd $RPM_BUILD_ROOT%{prefix}/bin
mv wmCalClock wmCalClock-WindowMaker
ln -s wmCalClock-WindowMaker wmCalClock
cd -

# Install WMMail
cd $RPM_BUILD_DIR/%{name}-%{version}/WMMail.app-0.64
make install prefix=$RPM_BUILD_ROOT%{prefix}
cd -
# Default configuration for WMMail
install %{SOURCE12} $RPM_BUILD_ROOT/etc/X11/WindowMaker/WMMail

# And use them
install -d %buildroot/%_datadir/mdk/WindowMaker
install -m 644 %SOURCE9  %buildroot/%_datadir/mdk/WindowMaker/WMState-with-WMMail
install -m 644 %SOURCE15 %buildroot/%_datadir/mdk/WindowMaker/WMState-without-WMMail

# Config files: Auto installation
install -m 755 %SOURCE8 %buildroot/%prefix/bin/startwindowmaker

install -m 644 %SOURCE6 %buildroot/%_sysconfdir/X11/WindowMaker/WindowMaker
install -m 644 %SOURCE7 %buildroot/%_sysconfdir/X11/WindowMaker/WMWindowAttributes

# Better terminal launched in Dock
install -m 755 %SOURCE10 %buildroot/%prefix/bin

# Menu support
install -d %buildroot/%_menudir
install -d %buildroot/%_sysconfdir/menu-methods

install -m 755 %SOURCE4 %buildroot/%_sysconfdir/menu-methods/%name

cat > %buildroot/%_menudir/%name << EOF
# Call Window Maker in other window managers
?package(%{name}): needs=wm section=Session/Windowmanagers title="Window Maker" longtitle="Empty" command="%prefix/bin/wmaker" icon="%name.xpm"
# Desktop
?package(%{name}): needs=wmaker section="Session/Window Maker" title="Desktops" longtitle="Empty" command="WORKSPACE_MENU"
# Workspace
?package(%{name}): needs=wmaker section="Session/Window Maker/Workspace" title="Hide Others" longtitle="Empty" command="HIDE_OTHERS"
?package(%{name}): needs=wmaker section="Session/Window Maker/Workspace" title="Show All" longtitle="Empty" command="SHOW_ALL"
?package(%{name}): needs=wmaker section="Session/Window Maker/Workspace" title="Arrange Icons" longtitle="Empty" command=ARRANGE_ICONS
?package(%{name}): needs=wmaker section="Session/Window Maker/Workspace" title="Refresh" longtitle="Empty" command=REFRESH
?package(%{name}): needs=wmaker section="Session/Window Maker/Workspace" title="Lock"  longtitle="Empty" command="EXEC xlock -allowroot -usefirst"
?package(%{name}): needs=wmaker section="Session/Window Maker/Workspace" title="Save Session" longtitle="Empty" command=SAVE_SESSION
?package(%{name}): needs=wmaker section="Session/Window Maker/Workspace" title="Clear Session" longtitle="Empty" command=CLEAR_SESSION
# Themes
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance" title="Themes" longtitle="Empty" command="OPEN_MENU -noext THEMES_DIR \$HOME/GNUstep/Library/WindowMaker/Themes WITH setstyle"
# Styles
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance" title="Styles" longtitle="Empty" command="OPEN_MENU -noext STYLES_DIR \$HOME/GNUstep/Library/WindowMaker/Styles WITH setstyle"
# Backgrounds (solid)
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Black" longtitle="Empty" command="WS_BACK '(solid, black)'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Blue" longtitle="Empty" command="WS_BACK '(solid, \"#505075\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Indigo" longtitle="Empty" command="WS_BACK '(solid, \"#243e6c\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Bleumarine" longtitle="Empty" command="WS_BACK '(solid, \"#224477\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Purple" longtitle="Empty" command="WS_BACK '(solid, \"#554466\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Wheat" longtitle="Empty" command=" WS_BACK '(solid, \"wheat4\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Dark Gray" longtitle="Empty" command="WS_BACK '(solid, \"#333340\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Wine" longtitle="Empty" command="WS_BACK '(solid, \"#400020\")'"
# Background (Gradient)
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Sunset" longtitle="Empty" command="WS_BACK '(mvgradient, deepskyblue4, black, deepskyblue4, tomato4)'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Sky" longtitle="Empty" command="WS_BACK '(vgradient, blue4, white)'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Blue Shades" longtitle="Empty" command="WS_BACK '(vgradient, \"#7080a5\", \"#101020\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Indigo Shades" longtitle="Empty" command="WS_BACK '(vgradient, \"#746ebc\", \"#242e4c\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Purple Shades" longtitle="Empty" command="WS_BACK '(vgradient, \"#654c66\", \"#151426\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Wheat Shades" longtitle="Empty" command="WS_BACK '(vgradient, \"#a09060\", \"#302010\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Grey Shades" longtitle="Empty" command="WS_BACK '(vgradient, \"#636380\", \"#131318\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Wine Shades" longtitle="Empty" command="WS_BACK '(vgradient, \"#600040\", \"#180010\")'"
# Background (Images)
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Images" title="Scaled" longtitle="Empty" command="OPEN_MENU -noext BACKGROUNDS_DIR \$HOME/GNUstep/Library/WindowMaker/Backgrounds WITH wmsetbg -u -s"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Images" title="Tiled"  longtitle="Empty" command="OPEN_MENU -noext BACKGROUNDS_DIR \$HOME/GNUstep/Library/WindowMaker/Backgrounds WITH wmsetbg -u -t"
# Save theme and preference utility
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance" title="Save Theme" longtitle="Empty" command="SHEXEC getstyle -t \$HOME/GNUstep/Library/WindowMaker/Themes/\"%a(Theme name,Enter file name:)\""
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance" title="Save IconSet" longtitle="Empty" command="SHEXEC geticonset \$HOME/GNUstep/Library/WindowMaker/IconSets/\"%a(IconSet name,Enter file name:)\""
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance" title="Preferences Utility" longtitle="Empty" command="EXEC /usr/X11R6/lib/GNUstep/Apps/WPrefs.app/WPrefs"
# Informations
?package(%{name}): needs=wmaker section="Session/Window Maker/Informations" title="Info Panel" longtitle="Empty" command="INFO_PANEL"
?package(%{name}): needs=wmaker section="Session/Window Maker/Informations" title="Legal" longtitle="Empty" command="LEGAL_PANEL"
# Selection
?package(%{name}): needs=wmaker section="Session/Window Maker/Selection" title="Copy" longtitle="Empty" command="SHEXEC echo \'%s\' | wxcopy"
?package(%{name}): needs=wmaker section="Session/Window Maker/Selection" title="Search in manual" longtitle="Empty" command="SHEXEC MANUAL_SEARCH(%s)"
# Exit and restart
?package(%{name}): needs=wmaker section="Exit" title="Restart" longtitle="Empty" command="RESTART"
?package(%{name}): needs=wmaker section="Exit" title="Exit" longtitle="Empty" command="EXIT"
EOF

rm -f %buildroot/%prefix/share/WindowMaker/menu.*

# icons
install -d %buildroot/%_miconsdir
install -d %buildroot/%_iconsdir
install -d %buildroot/%_liconsdir
tar xOjf %SOURCE5 %name-16x16.xpm > %buildroot/%_miconsdir/%name.xpm
tar xOjf %SOURCE5 %name-32x32.xpm > %buildroot/%_iconsdir/%name.xpm
tar xOjf %SOURCE5 %name-48x48.xpm > %buildroot/%_liconsdir/%name.xpm

# Some documentation for WMCalClock
cd $RPM_BUILD_DIR/%{name}-%{version}
install -d 755 $RPM_BUILD_ROOT%{_docdir}/%{wmcalclock}
install -m 644 %{wmcalclock}/BUGS $RPM_BUILD_ROOT%{_docdir}/%{wmcalclock}
install -m 644 %{wmcalclock}/CHANGES $RPM_BUILD_ROOT%{_docdir}/%{wmcalclock}
install -m 644 %{wmcalclock}/COPYING $RPM_BUILD_ROOT%{_docdir}/%{wmcalclock}
install -m 644 %{wmcalclock}/HINTS $RPM_BUILD_ROOT%{_docdir}/%{wmcalclock}
install -m 644 %{wmcalclock}/README $RPM_BUILD_ROOT%{_docdir}/%{wmcalclock}
install -m 644 %{wmcalclock}/TODO $RPM_BUILD_ROOT%{_docdir}/%{wmcalclock}

# Some documentation for WMMail
cd $RPM_BUILD_DIR/%{name}-%{version}
install -d 755 $RPM_BUILD_ROOT%{_docdir}/%{wmmail}
install -m 644 %{wmmail}/AUTHORS $RPM_BUILD_ROOT%{_docdir}/%{wmmail}
install -m 644 %{wmmail}/ChangeLog $RPM_BUILD_ROOT%{_docdir}/%{wmmail}
install -m 644 %{wmmail}/doc/Help.txt $RPM_BUILD_ROOT%{_docdir}/%{wmmail}
install -m 644 %{wmmail}/NEWS $RPM_BUILD_ROOT%{_docdir}/%{wmmail}
install -m 644 %{wmmail}/README $RPM_BUILD_ROOT%{_docdir}/%{wmmail}
# And the man page
install -m 644 %{wmmail}/doc/wmmail.man $RPM_BUILD_ROOT/%{prefix}/man/man1/wmmail.man


# Dadou - 0.62.1-18mdk - Make auto-login happy
# Alex DU - 0.62.1-21mdk - Make wmaker.inst script to write the right font
#                       definitions for CJK user.
install -m 755 %{SOURCE13} %buildroot/%{prefix}/bin/wmaker.inst

# Alex DU - 0.62.1-21mdk install a theme for CJK user
install -m 644 %{SOURCE14} %buildroot/%{prefix}/share/WindowMaker/Themes/Default.CJK.style

# wmsession support
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmsession.d/
cat << EOF > $RPM_BUILD_ROOT/etc/X11/wmsession.d/03WindowMaker
NAME=WindowMaker
ICON=wmaker-wmsession.xpm
EXEC=%prefix/bin/startwindowmaker
DESC=Window manager which emulates the look and feel of the NeXTSTEP (TM) graphical user interface
SCRIPT:
exec %prefix/bin/startwindowmaker
EOF

# Add documentation in packages which don't have (aka make rpmlint happy)
echo "See %_docdir/%name-%version for documentation on this package" > $RPM_BUILD_DIR/%name-%version/Readme

%clean
rm -fr %buildroot

%post
%update_menus
%make_session

%post -n libwraster%major -p /sbin/ldconfig

%post -n libwraster%major-devel -p /sbin/ldconfig

%postun
%clean_menus
%make_session

%postun -n libwraster%major -p /sbin/ldconfig

%postun -n libwraster%major-devel -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGFORM BUGS ChangeLog COPYING COPYING.WTFPL FAQ FAQ.I18N MIRRORS NEWS README* TODO
%doc %{_docdir}/%{wmcalclock}
%doc %{_docdir}/%{wmmail}
%config(noreplace) /etc/X11/WindowMaker
%config(noreplace) /etc/menu-methods/WindowMaker
%config(noreplace) /etc/X11/wmsession.d/*
#
%prefix/bin/*
%prefix/lib/GNUstep/Apps/WPrefs.app
%prefix/lib/GNUstep/Apps/WMMail.app
#
%doc %prefix/man/man1/*
%dir %prefix/man/sk/
%dir %prefix/man/sk/man1/
%doc %prefix/man/sk/man1/*
#
%dir %prefix/share/WindowMaker/
%prefix/share/WindowMaker/*
#
%dir %prefix/share/WINGs/
%prefix/share/WINGs/*.tiff
%prefix/share/WINGs/*.xpm
#
%lang(bg) %prefix/share/locale/bg/LC_MESSAGES/*.mo
%lang(cs) %prefix/share/locale/cs/LC_MESSAGES/*.mo
%lang(da) %prefix/share/locale/da/LC_MESSAGES/*.mo
%lang(de) %prefix/share/locale/de/LC_MESSAGES/*.mo
%lang(el) %prefix/share/locale/el/LC_MESSAGES/*.mo
%lang(es) %prefix/share/locale/es/LC_MESSAGES/*.mo
%lang(et) %prefix/share/locale/et/LC_MESSAGES/*.mo
%lang(fi) %prefix/share/locale/fi/LC_MESSAGES/*.mo
%lang(fr) %prefix/share/locale/fr/LC_MESSAGES/*.mo
%lang(gl) %prefix/share/locale/gl/LC_MESSAGES/*.mo
%lang(hr) %prefix/share/locale/hr/LC_MESSAGES/*.mo
%lang(hu) %prefix/share/locale/hu/LC_MESSAGES/*.mo
%lang(it) %prefix/share/locale/it/LC_MESSAGES/*.mo
%lang(ja) %prefix/share/locale/ja/LC_MESSAGES/*.mo
%lang(ko) %prefix/share/locale/ko/LC_MESSAGES/*.mo
%lang(nl) %prefix/share/locale/nl/LC_MESSAGES/*.mo
%lang(no) %prefix/share/locale/no/LC_MESSAGES/*.mo
%lang(pl) %prefix/share/locale/pl/LC_MESSAGES/*.mo
%lang(pt) %prefix/share/locale/pt/LC_MESSAGES/*.mo
%lang(ro) %prefix/share/locale/ro/LC_MESSAGES/*.mo
%lang(ru) %prefix/share/locale/ru/LC_MESSAGES/*.mo
%lang(sk) %prefix/share/locale/sk/LC_MESSAGES/*.mo
%lang(sv) %prefix/share/locale/sv/LC_MESSAGES/*.mo
%lang(tr) %prefix/share/locale/tr/LC_MESSAGES/*.mo
%lang(zh) %prefix/share/locale/zh_CN/LC_MESSAGES/*.mo
%lang(zh) %prefix/share/locale/zh_TW.Big5/LC_MESSAGES/*.mo
#
%_menudir/WindowMaker
#
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm
%_iconsdir/%name.xpm
%_datadir/pixmaps/*
%dir %_datadir/mdk/
%dir %_datadir/mdk/WindowMaker/
%_datadir/mdk/WindowMaker/*


%files -n libwraster%major
%defattr(-,root,root,-)
%doc Readme
%prefix/lib/libwraster.so.2
%prefix/lib/libwraster.so.2.2.0

%files -n libwraster%major-devel
%defattr(-,root,root)
%doc Readme
%prefix/lib/*.a
%prefix/lib/*.la
%prefix/lib/*.so

%files devel
%defattr(-,root,root,-)
%doc Readme
%prefix/include/*

%changelog
* Wed Aug 29 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.65.1-4mdk
- switched to manual dependencies to avoid depending upon gnome-libs
- the default paths for icons and pixmaps in WPrefs.app/Paths.c has been
  altered to reflect our own locations
- added --enable-shm
- removed executable flag from source 4 8 10 to make rpmlint happy
- added the 48x48 menu icon

* Fri Aug 24 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.65.1-3mdk
- added a symlink for wmCalClock so that old conf will not be broken
- added two alternative rpms with or without gnome/kde  

* Wed Aug 08 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.65.1-2mdk
- nothing much, I have added scaled and tiled modes for the background picture
  in /usr/lib/menu/WindowMaker

* Wed Aug 01 2001 David BAUDENS <baudens@mandrakesoft.com> 0.65.1-1mdk
- 0.65.1
- Changed background color
- Close bug #2325

* Wed Jun 20 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 0.65.0-4mdk
- add ia64 compliant

* Fri Jun 08 2001 David BAUDENS <baudens@mandrakesoft.com> 0.65.0-3mdk
- Add Conflicts: tag to stop "Rebuild to replace packages lost by crazy bot" song

* Tue Jun 05 2001 David BAUDENS <baudens@mandrakesoft.com> 0.65.0-2mdk
- Rebuild to replace packages lost by crazy bot

* Fri May 18 2001 David BAUDENS <baudens@mandrakesoft.com> 0.65.0-1mdk
- 0.65.0

* Sun Apr 15 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-8mdk
- Display WMMail applet only if /var/spool/mail/$USER exist and is readable
- Add missing locales for WMPrefs

* Thu Apr 12 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-7mdk
- Rebuild to replace packages lost by crazy bot

* Mon Mar 26 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.64.0-6mdk
- rebuild to get a binary RPM in Cooker

* Sat Mar 24 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-5mdk
- BuildRequires: egcs for architectures which don't use GCC-2.95.3 as
  default compiler

* Wed Mar 21 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-4mdk
- Rebuild to have packages lost by crazy bot

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-3mdk
- Fix crash when X run in 16 bit (buggy, buggy gcc...)

* Mon Feb 12 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-2mdk
- Re-upload 0.64.0 replaced by crazy bot
- Merge Alex DU modifications for Chinese

* Mon Feb 12 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-1mdk
- 0.64.0

* Tue Feb 08 2001 David BAUDENS <baudens@mandrakesoft.com> 0.63.1-1mdk
- 0.63.1

* Thu Feb 08 2001 Alex DU <dxiaoming@mandrakesoft.com> 0.62.1-21mdk
- Add support for CJK (multibytes chars) user.
- Add a new theme Default.CJK.style and make change of WindowMaker-wmaker.inst.

* Wed Dec 13 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-20mdk
- Libdification

* Fri Nov 10 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-19mdk
- Build with glibc-2.2 & gcc-2.96

* Tue Sep 19 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-18mdk
- Make auto-login happy

* Thu Aug 31 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-17mdk
- Fix wmsession

* Wed Aug 30 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-16mdk
- Fix "I kill the X server"

* Sun Aug 13 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-15mdk
- New clock (wmCalClock)
- New config files
- Modify Window Maker specific menu entries
- Spec clean up
- Patch for wmsetbg
- Add Packager tag
- New wmsession support

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.62.1-14mdk
- automatically added BuildRequires

* Fri May 12 2000 dam's <damien@mandrakesoft.com> 0.62.1-13mdk
- corrected workspace menus.

* Wed May 10 2000 dam's <damien@mandrakesoft.com> 0.62.1-12mdk
- corrected wmaker.inst text script

* Tue May 09 2000 dam's <damien@mandrakesoft.com> 0.62.1-11mdk
- corrected wmaker test script.

* Mon May  8 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.62.1-10mdk
- remove asclock which conflicts with AfterStep-APPS
- added url

* Tue May  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.62.1-9mdk
- really add menu support

* Fri Apr 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.62.1-8mdk
- added fndSession call

* Thu Apr 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix wmconfig crash

* Fri Apr 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-6mdk
- Requires mandrake_desk >= 1.0.3-9mdk

* Fri Apr 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-5mdk
- Add the binary :/ and put it in the right PATH

* Fri Apr 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-4mdk
- Relocate in /usr/X11R6
- Menu support
- Fix crazy obsoletes

* Thu Apr 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.62.1-3mdk
- fix a very old bug : when ~/GNUstep doesn't exists, exec wmaker.inst
  else the end user won't be able to launch WindowMaker

* Tue Apr 04 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-2mdk
- Split in 2 packages (devel & normal)
- Fix Group

* Tue Apr 04 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-1mdk
- 0.62.1

* Fri Mar 31 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.0-1mdk
- 0.62.0
- Release for impatients
- Use new Groups
- Use %%{_tmppath} for BuildRoot

* Sun Mar 05 2000 David BAUDENS <baudens@mandrakesoft.com> 0.61.1-17mdk
- Fix duplicate screen saver
- French translations and adapatations

* Wed Jan 05 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 0.61.1-16mdk: new icon
- 0.61.1-15mdk: back to /usr for some directories 
- 0.61.1-14mdk: fix PATH in /etc/X11/WindowMaker 
- 0.61.1-13mdk: fix a typo in WMDrake
- 0.61.1-12mdk: requires mandrake_desk >= 1.0.1-11mdk

* Tue Jan 04 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 0.61.1-11mdk: new icon
- 0.61.1-10mdk: better MandrakeSoft customization

* Mon Jan 03 2000 - David BAUDENS <baudens@mandrakesoft.com>
- Enable WMDrake
- Fix typos

* Mon Dec 27 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix display version

* Tue Dec 21 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix WMDrake

* Wed Dec 15 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Cleanup spec
- Back to original sources
- (Re) Fix cpp problem

* Wed Dec 09 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build release

* Tue Dec 08 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add some apps in wmdrake

* Fri Dec 04 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Initial wmdrake

* Fri Nov 20 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 0.61
- Add some patches from package of Ryan Weaver <ryanw@infohwy.com>

* Wed Sep 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Various patch syncronised with package from Ryan Weaver <ryanw@infohwy.com>
- Added diff from cvs 'WindowMaker-0.61.0-19990922cvs.diff.bz2'
- fixes seg fault at exit among other things including the following.
- fixed problem with window shortcut assignment from the menu
- fixed problem with fonts in WINGs (Masahide -mac- NODA
- WindowMaker-0.61.0-po.patch.bz2

* Tue Sep 21 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 0.61.0
- fix compilation
- redo Mandrake adaptions

* Tue Jul 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description from Gregus <gregus@etudiant.net>
- fix a typo

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update URL.

* Mon May 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix include problem with /usr/bin/cpp (need /lib/cpp).

* Sat May 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake Adaptations.

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- fixed up default config (dock was empty...)

* Thu Apr 15 1999 Cristian Gafton <gafton@redhat.com>
- version 0.52.0

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- fixed problem with running wmaker.inst in batch mode (forgot comma)

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- fixed icon problems
- run wmaker.inst in batch mode if no ~/GNUstep/Library/WindowMaker dir exists

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Thu Apr 01 1999 Cristian Gafton <gafton@redhat.com>
- requires cpp

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Mar 17 1999 Cristian Gafton <gafton@redhat.com>
- make sure we get the full distribution
- run ldconfig in the post script

* Mon Feb 15 1999 The Rasterman <raster@redhat.com>
- added gnome winhints areas support fix.

* Tue Feb 02 1999 Cristian Gafton <gafton@redhat.com>
- version 0.51.0
